package com.up.sell.service;

import java.text.ParseException;

import com.up.sell.vo.Project;


/**
 * 
 * 项目服务
 * 
 * @author j.x.j
 *
 */
public interface IProjectService {

	void crawlerProject(String data);
	/**
	 * 编辑项目
	 * 
	 * @param project
	 * @return
	 * @throws ParseException
	 */
	int edit(Project project);
	
	/**
	 * 删除项目
	 * 
	 * @param projectId
	 *            项目标识
	 * @return
	 */
//	int deleteById(Long projectId);

	/**
	 * 删除多个项目
	 * 
	 * @param projectIds
	 * @return
	 */
//	int deleteByIds(String projectIds);

	/**
	 * 条件查询项目列表
	 * 
	 * @param project
	 *            查询项目条件对象
	 * @return
	 */
//	List<Project> selectListByProject(Project project);

	

	/**
	 * 获得项目信息
	 * 
	 * @param id
	 *            项目标识
	 * @return
	 */
	Project getPorject(Long id);

	/**
	 * 
	 * @param projectId
	 * @return
	 */
//	List<ProjectTag> getProjectTags(Long projectId);

	/**
	 * 
	 * @param projectId
	 * @return
	 */
	//List<ProjectAcreage> getProjectAcreages(Long projectId);

	/**
	 * 
	 * @param projectId
	 * @return
	 */
	//List<ProjectBusiness> getProjectBusiness(Long projectId);

	/**
	 * 
	 * @param ProjectId
	 * @return
	 */
	//List<ProjectPicture> getProjectPictures(Long ProjectId);

	/**
	 * 项目经理人添加项目
	 * 
	 * @return
	 */
//	List<Project> selectProject();
//
//	int updateSetLeader(Integer id, Long[] sum);

	/**
	 * 查找项目经理人项目
	 * 
	 * @param id
	 * @return
	 */
//	List<Project> selectByProject(Integer id);

	//未分配的招商项目
//	List<Project> selectAttractProject(Long userId);
	
	//未分配的销售项目
//	List<Project> selectSaleProject(Long userId);

//	Project selectProjectId(String projectId);

}
